<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>部门信息</title>
  <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
  <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
  <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
</head>
<body>

<div class="layui-fluid">
    <div class="layui-card">
        <div class="layui-card-body" pad15>
        <div class="layui-row layui-col-space15">
          <div class="layui-col-md12">
             <form class="layui-form" action="" lay-filter="component-form-element">
                  <div class="layui-row layui-col-space10 layui-form-item">

                      <div class="layui-col-md12">
                          <label class="layui-form-label"><font color='red' size="4">*</font>名称：</label>
                          <div class="layui-input-block">
                              <input type="text" name="name" lay-verify="required" autocomplete="off" class="layui-input">
                          </div>
                      </div>

                      <div class="layui-col-md12" id="div_range">
                        <label class="layui-form-label">产品范围：</label>
                        <div class="layui-input-block">
                          <select name="product_range">
                             <option value="1">原料</option>
                              <option value="2">耗材</option>
                              <option value="3">全部</option>
                          </select>
                        </div>
                    </div>

                      <div class="layui-col-md12">
                          <label class="layui-form-label">备注：</label>
                          <div class="layui-input-block">
                              <input type="text" name="notes" placeholder="" autocomplete="off" class="layui-input">
                          </div>
                      </div>
                      <button id="submit_btn" style="display: none;" class="layui-btn" lay-submit lay-filter="component-form-element"></button>

                  </div>
              </form>
          </div>
        </div>
        </div>
    </div>
</div>


  <script src="../../layuiadmin/layui/layui.js"></script>
  <script>
  layui.config({
    base: '../../../layuiadmin/' //静态资源所在路径
  }).extend({
    index: 'lib/index' //主入口模块
  }).use(['index', 'laydate', 'form'], function(){
    var $ = layui.$
    ,admin = layui.admin
    ,element = layui.element
    ,form = layui.form
    ,laydate  = layui.laydate;
    var id = layui.view.getParameterByName('id');
    var parent_id = layui.view.getParameterByName('parent_id');

    form.render(null, 'component-form-element');
    element.render('breadcrumb', 'breadcrumb');
    var url = '';
    if (id){
        var editdata = JSON.parse(JSON.stringify(parent.layui.table.editdata)); // 框架有Bug所以这么转换
        form.val("component-form-element", editdata);
        url = '/account/department/save/?id='+id;
        if (!editdata.isCompany) {
            $("#div_range").hide();
        }
    }else{
      url = '/account/department/save/?parent_id='+ parent_id;
      if (parent_id) {
          $("#div_range").hide();
      }
    }

    form.on('submit(component-form-element)', function(data){
      admin.req({
        url: url
        ,data: JSON.stringify(data.field)
        ,type: 'post'
        ,done: function(res){
            parent.layui.onSubmitChild(res.data);
        }
      });

      return false;
    });
    parent.layui.submitChild = function () {
      $("#submit_btn").click();
    };
  });
  </script>
</body>
</html>